%global commit f232f9afa8a33c96e50646f3614fdf7ad6cae39f
%global owner joelthelion

Name:           autojump
Version:        21.6.9
Release:        3%{?dist}

Summary:        A fast way to navigate your filesystem from the command line

Group:          Applications/Productivity
License:        GPLv3+
URL:            http://wiki.github.com/joelthelion/autojump
Source:         https://github.com/%{owner}/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz
Patch1:         fix-bash-completion.patch

BuildArch:      noarch

BuildRequires:  pandoc python2-devel
Requires:       python

%description
autojump is a faster way to navigate your filesystem. It works by maintaining 
a database of the directories you use the most from the command line.


%package zsh
Requires:       %{name} = %{version}-%{release}
Group:          Applications/Productivity
Summary:        Autojump for zsh

%description zsh
autojump is a faster way to navigate your filesystem. It works by maintaining 
a database of the directories you use the most from the command line.
autojump-zsh is designed to work with zsh.

%prep
%setup -q -n %{name}-%{commit}

%patch1 -p1

# Fix shebang
sed -i 's|/usr/bin/env python|/usr/bin/python|' bin/%{name}

%build
make docs

%install
./install.sh --destdir %{buildroot} --prefix usr --zshshare %{_datarootdir}/zsh/site-functions/
sed -e "s@%{buildroot}@@g" -i %{buildroot}%{_sysconfdir}/profile.d/autojump.sh

%files
%defattr(-,root,root,-)
%doc LICENSE README.md AUTHORS
%{_bindir}/%{name}
%{_bindir}/%{name}_argparse.py
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*
%config(noreplace) %{_sysconfdir}/profile.d/%{name}.sh
%config(noreplace) %{_sysconfdir}/profile.d/%{name}.bash

%files zsh
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/profile.d/%{name}.zsh
%{_datarootdir}/zsh/site-functions/

%changelog
* Tue Jan 27 2015 Tomas Tomecek <ttomecek@redhat.com> - 21.6.9-3
- fix zsh completion
- remove BuildArch workaround

* Tue Apr 22 2014 Tomas Tomecek <ttomecek@redhat.com> - 21.6.9-2
- Fix bash completion: rhbz#1089600

* Thu Mar 20 2014 Tomas Tomecek <ttomecek@redhat.com> - 21.6.9-1
- Update to 21.6.9

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 21.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 21.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Dec 12 2012 Thibault North <tnorth@fedoraproject.org> - 21.1.2-2
- Fix builrequires section

* Wed Dec 12 2012 Thibault North <tnorth@fedoraproject.org> - 21.1.2-1
- Update to 21.1.2

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon May 07 2012 Thibault North <tnorth@fedoraproject.org> - 20-1
- Update to version 20

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Dec 11 2011 Thibault North <tnorth@fedoraproject.org> - 19-2
- Add symlink for jumpapplet

* Sun Dec 11 2011 Thibault North <tnorth@fedoraproject.org> - 19-1
- Update to version 19

* Sun Apr 10 2011 Thibault North <tnorth@fedoraproject.org> - 15-1
- New upstream release

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 20 2010 Thibault North <tnorth@fedoraproject.org> - 14-2
- Fixes for review

* Sat Dec 18 2010 Thibault North <tnorth@fedoraproject.org> - 14-1
- Initial package

